#ifdef GL_ES
precision mediump float;
#endif

varying vec2 v_texCoord;
uniform sampler2D u_texture;
uniform float time;
uniform float u_opacity;

void main()
{
    vec4 normalColor = texture2D(u_texture, v_texCoord);

    float gray = 0.299*normalColor.r + 0.587*normalColor.g + 0.114*normalColor.b;
    vec4 newColor = vec4(gray*time - (normalColor.r * time) + normalColor.r ,
                         gray*time - (normalColor.g * time) + normalColor.g ,
                         gray*time - (normalColor.b * time) + normalColor.b ,normalColor.a);
    gl_FragColor = vec4(gray, gray, gray, normalColor.a);
}